# Retrieve an attribute string value

> Retrieve an attribute string value by its identifier.

`GET /rest/api/categories/attribute_string_values/{id}`

Retrieves a Attribute String Value resource.

Returns a single attribute string value by id.

## Headers

| Name                         | Type      | Required | Description                                                                                                                                       |
| ---------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Flowkiwi-Organization-Id` | `string`  | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.  |
| `X-Flowkiwi-Locale`          | `string`  | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used.                                  |
| `X-Flowkiwi-Locale-Fallback` | `boolean` | -        | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |

## Path parameters

| Name | Type     | Required | Description                       |
| ---- | -------- | -------- | --------------------------------- |
| `id` | `string` | Yes      | Attribute String Value identifier |

## Response

**200** - Attribute String Value resource

| Property    | Type             | Required | Description                                                                     |
| ----------- | ---------------- | -------- | ------------------------------------------------------------------------------- |
| `@context`  | `object`         | -        |                                                                                 |
| `@id`       | `string`         | Yes      |                                                                                 |
| `@type`     | `string`         | Yes      |                                                                                 |
| `id`        | `string`         | -        | The resource's unique identifier (UUID).                                        |
| `value`     | `string \| null` | -        | **This property supports translations.**<br><br>The value of the attribute      |
| `attribute` | `string \| null` | Yes      | The `Attribute` to which this value belongs.                                    |
| `products`  | `string[]`       | -        | A list of `Product`, each one representing a product associated with the value. |
| `createdAt` | `string`         | -        | The date and time when the resource was created (ISO 8601 format).              |
| `updatedAt` | `string`         | -        | The date and time when the resource was last modified (ISO 8601 format).        |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

**404** - Not found

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/categories/attribute_string_values/<product_id>' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/contexts/Attribute%20String%20Value",
  "@id": "/rest/api/categories/attribute_string_values/019afd30-7081-72a3-8bb4-6f708192a3b4",
  "@type": "Attribute String Value",
  "id": "019afd30-7081-72a3-8bb4-6f708192a3b4",
  "value": "Machine washable",
  "attribute": "/rest/api/categories/attribute_strings/019afd11-4d5e-7f60-9b71-3c4d5e6f7081",
  "products": [
    "/rest/api/products/019af93e-420e-79f8-800b-6680f03dce20"
  ],
  "createdAt": "2026-01-15T09:30:00+00:00",
  "updatedAt": "2026-02-03T14:45:12+00:00"
}
```
